<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [weakenAnalyze](./bitburner.ns.weakenanalyze.md)

## NS.weakenAnalyze() method

Predict the effect of weaken.

**Signature:**

```typescript
weakenAnalyze(threads: number, cores?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  threads | number | Amount of threads that will be used. |
|  cores | number | _(Optional)_ Optional. The number of cores of the server that would run weaken. |

**Returns:**

number

The security decrease.

## Remarks

RAM cost: 1 GB

Returns the security decrease that would occur if a weaken with this many threads happened.

